package cn.ibizlab.r7.runtime.core.r7rt_base.filter;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import cn.ibizlab.r7.runtime.util.ISearchFilter;
import cn.ibizlab.r7.runtime.util.domain.DataObj;
import com.fasterxml.jackson.annotation.JsonFormat;
import cn.ibizlab.r7.runtime.util.SearchContext;
import cn.ibizlab.r7.runtime.util.SearchFieldFilter;
import cn.ibizlab.r7.runtime.util.enums.SearchFieldType;
import cn.ibizlab.r7.runtime.util.enums.SearchGroupType;
import cn.ibizlab.r7.runtime.util.SearchGroupFilter;
import lombok.Data;

/**
 * 关系型数据实体[UserRoleDataAction] 查询条件对象
 */
@Data
public class UserRoleDataActionSearchContext extends SearchContext {

	   public String n_userroledataactionname_like;//[用户角色数据操作名称]
       public void setN_userroledataactionname_like(String n_userroledataactionname_like) {
            this.n_userroledataactionname_like=n_userroledataactionname_like;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("userroledataactionname");
            searchField.setCondition(SearchFieldType.LIKE);
            searchField.setValue(n_userroledataactionname_like);
            this.getCondition().add(searchField);
       }
	   public String n_userroledataname_eq;//[数据对象能力名称]
       public void setN_userroledataname_eq(String n_userroledataname_eq) {
            this.n_userroledataname_eq=n_userroledataname_eq;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("userroledataname");
            searchField.setCondition(SearchFieldType.EQ);
            searchField.setValue(n_userroledataname_eq);
            this.getCondition().add(searchField);
       }
	   public String n_userroledataname_like;//[数据对象能力名称]
       public void setN_userroledataname_like(String n_userroledataname_like) {
            this.n_userroledataname_like=n_userroledataname_like;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("userroledataname");
            searchField.setCondition(SearchFieldType.LIKE);
            searchField.setValue(n_userroledataname_like);
            this.getCondition().add(searchField);
       }
	   public String n_userroledataid_eq;//[数据对象能力标识]
       public void setN_userroledataid_eq(String n_userroledataid_eq) {
            this.n_userroledataid_eq=n_userroledataid_eq;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("userroledataid");
            searchField.setCondition(SearchFieldType.EQ);
            searchField.setValue(n_userroledataid_eq);
            this.getCondition().add(searchField);
       }

	/**
	 * 启用快速搜索
	 */
	public void setQuery(String strQuery)
	{
		 this.query=strQuery;
         if(!org.springframework.util.StringUtils.isEmpty(strQuery)){
           SearchGroupFilter searchGroupFilter=new SearchGroupFilter();
           searchGroupFilter.setSearchGroupType(SearchGroupType.OR);

           SearchFieldFilter userroledataactionname=new SearchFieldFilter();
           userroledataactionname.setParam("userroledataactionname");
           userroledataactionname.setCondition(SearchFieldType.LIKE);
           userroledataactionname.setValue(strQuery);
           searchGroupFilter.getCondition().add(userroledataactionname);
        this.getCondition().add(searchGroupFilter);   

           
           
        }
	}
}
